Index: /branches/rsr.v5.1.dev/web/app/mods/e_set_artiste_downloads.php
===================================================================
--- /branches/rsr.v5.1.dev/web/app/mods/e_set_artiste_downloads.php	(revision 1)
+++ /branches/rsr.v5.1.dev/web/app/mods/e_set_artiste_downloads.php	(revision 1)
@@ -0,0 +1,249 @@
+<?php
+
+  function e_set_artiste_downloads($env)
+  { $env->out["edit_ok"] = false;
+    if(($env->out["artiste"] = $env->data->artiste($_GET[$env->param("artiste")])) !== false)
+    { if
+      (    $env->pun_user["is_super_admin"]
+        || $env->pun_user["id"] === $env->out["artiste"]["pun_user"]
+        || $env->data->is_artiste_admin($_GET[$env->param("artiste")], $env->pun_user["id"])
+      )
+      { $env->out["edit_ok"] = true;
+        $env->a = $_GET[$env->param("action")] ? $_GET[$env->param("action")] : "downloads";
+        $function = "a_".$env->a;
+        if(function_exists($function)) $function($env);
+      }
+      else $env->erreur = "Vous n'&ecirc;tes pas identifi&eacute; comme administrateur de cet artiste.";
+    }
+    else $env->erreur = "Impossible de lire les infos de l'artiste";
+  }
+
+  # ------------------------------------------------------------------------------
+  #                                                                        actions
+  #
+
+  function a_downloads($env)
+  { if(($env->out["downloads"] = $env->data->artiste_downloads($_GET[$env->param("artiste")])) !== false)
+    {
+    }
+    else $env->erreur = "Impossible de lire les downloads de l'artiste";
+  }
+
+  function a_add_download($env)
+  { if($_POST)
+    { if
+      ( $env->data->add_download
+        ( $_GET[$env->param("artiste")],
+          $_POST["nom"],
+          $_POST["album"] ? $_POST["album"] : null,
+          $_POST["style"],
+          $_POST["licence"],
+          $_POST["annee_creation"]."-".$_POST["mois_creation"]."-".$_POST["jour_creation"],
+          $_POST["format"],
+          $_POST["url"]
+        )
+      )
+      { _redirect
+        ( $env,
+          $env->url(array("e" => "set_artiste_downloads", "artiste" => $_GET[$env->param("artiste")])),
+          "Le download a &eacute;t&eacute; ajout&eacute;"
+        );
+      }
+      else $env->erreur = "Impossible d'ajouter le morceau.";
+    }
+    else
+    { if(($env->out["licences"] = $env->data->licences()) !== false)
+      { if(($env->out["formats"] = $env->data->formats()) !== false)
+        { if(($env->out["albums"] = $env->data->artiste_albums($_GET[$env->param("artiste")])) !== false)
+          {
+          }
+          else $env->erreur = "Impossible de lire la liste des albums.";
+        }
+        else $env->erreur = "Impossible de lire la liste des formats.";
+      }
+      else $env->erreur = "Impossible de lire la liste des licences.";
+    }
+  }
+
+  function a_set_downloads($env)
+  { $ordre = array();
+    $actif = array();
+    foreach($_POST as $key => $value)
+    { if(strpos($key, "ordre_") === 0 && strlen($value) > 0)
+      { $ordre[substr($key, 6)] = $value;
+      }
+      if(strpos($key, "actif_") === 0 && strlen($value) > 0)
+      { $actif[substr($key, 6)] = $value;
+      }
+    }
+    if($env->data->set_downloads($ordre, $actif) !== false)
+    { _redirect
+      ( $env,
+        $env->url(array("e" => "set_artiste_downloads", "artiste" => $_GET[$env->param("artiste")])),
+        "Les downloads ont &eacute;t&eacute; mis &agrave; jour"
+      );
+    }
+    else $env->erreur = "Impossible de mettre &agrave; jour les downloads";
+  }
+
+  function a_download($env)
+  { if(($env->out["download"] = $env->data->artiste_download($_GET[$env->param("download")])) !== false)
+    { if($env->out["download"]["id_artiste"] == $env->out["artiste"]["id"])
+      { if(($env->out["licences"] = $env->data->licences()) !== false)
+        { if(($env->out["formats"] = $env->data->formats()) !== false)
+          { if(($env->out["albums"] = $env->data->artiste_albums($_GET[$env->param("artiste")])) !== false)
+            {
+            }
+            else $env->erreur = "Impossible de lire la liste des albums.";
+          }
+          else $env->erreur = "Impossible de lire la liste des formats.";
+        }
+        else $env->erreur = "Impossible de lire la liste des licences.";
+      }
+      else $env->erreur = "Vous n'avez pas les droits necessaires pour &eacute;diter ce morceau.";
+    }
+    else $env->erreur = "Impossible de lire les infos sur ce download.";
+  }
+
+  function a_set_download($env)
+  { if(($env->out["download"] = $env->data->artiste_download($_GET[$env->param("download")])) !== false)
+    { if($env->out["download"]["id_artiste"] == $env->out["artiste"]["id"])
+      { if
+        ( $env->data->set_download
+          ( $_GET[$env->param("download")],
+            $_POST["nom"],
+            $_POST["album"] ? $_POST["album"] : null,
+            $_POST["style"],
+            $_POST["licence"],
+            $_POST["annee_date_creation"]."-".$_POST["mois_date_creation"]."-".$_POST["jour_date_creation"]
+          )
+        )
+        { _redirect
+          ( $env,
+            $env->url
+            ( array
+              ( "e" => "set_artiste_downloads",
+                "artiste" => $_GET[$env->param("artiste")],
+                "action" => "download",
+                "download" => $_GET[$env->param("download")]
+              )
+            ),
+            "Le download a &eacute;t&eacute; modifi&eacute;"
+          );
+        }
+        else $env->erreur = "Une erreur s'est produite. Impossible de modifier le morceau.";
+      }
+      else $env->erreur = "Vous n'avez pas les droits necessaires pour &eacute;diter ce morceau.";
+    }
+    else $env->erreur = "Impossible de lire les infos sur ce download.";
+  }
+
+  function a_add_download_url($env)
+  { if(($env->out["download"] = $env->data->artiste_download($_GET[$env->param("download")])) !== false)
+    { if($env->out["download"]["id_artiste"] == $env->out["artiste"]["id"])
+      { if
+        ( $env->data->add_download_url
+          ( $_GET[$env->param("download")],
+            $_POST["url"],
+            $_POST["format"]
+          )
+        )
+        { _redirect
+          ( $env,
+            $env->url
+            ( array
+              ( "e" => "set_artiste_downloads",
+                "artiste" => $_GET[$env->param("artiste")],
+                "action" => "download",
+                "download" => $_GET[$env->param("download")]
+              )
+            ),
+            "Le fichier a &eacute;t&eacute; ajout&eacute;"
+          );
+        }
+        else $env->erreur = "Une erreur s'est produite. Impossible d'ajouter l'url.";
+      }
+      else $env->erreur = "Vous n'avez pas les droits necessaires pour &eacute;diter ce morceau.";
+    }
+    else $env->erreur = "Impossible de lire les infos sur ce download.";
+  }
+
+  function a_set_download_url($env)
+  { if(($env->out["download"] = $env->data->artiste_download($_GET[$env->param("download")])) !== false)
+    { if($env->out["download"]["id_artiste"] == $env->out["artiste"]["id"])
+      { if
+        ( $env->data->set_download_url
+          ( $_POST["id_url"],
+            $_POST["url"],
+            $_POST["format"]
+          )
+        )
+        { _redirect
+          ( $env,
+            $env->url
+            ( array
+              ( "e" => "set_artiste_downloads",
+                "artiste" => $_GET[$env->param("artiste")],
+                "action" => "download",
+                "download" => $_GET[$env->param("download")]
+              )
+            ),
+            "Le fichier a &eacute;t&eacute; modifi&eacute;"
+          );
+        }
+        else $env->erreur = "Une erreur s'est produite. Impossible de modifier le fichier.";
+      }
+      else $env->erreur = "Vous n'avez pas les droits necessaires pour &eacute;diter ce morceau.";
+    }
+    else $env->erreur = "Impossible de lire les infos sur ce download.";
+  }
+
+  function a_del_download_url($env)
+  { if(($env->out["download"] = $env->data->artiste_download($_GET[$env->param("download")])) !== false)
+    { if($env->out["download"]["id_artiste"] == $env->out["artiste"]["id"])
+      { if(($res = $env->data->del_download_url($_GET[$env->param("download")], $_GET[$env->param("url")])) !== false)
+        { $url_back = $env->url
+          ( array
+            ( "e" => "set_artiste_downloads",
+              "artiste" => $_GET[$env->param("artiste")],
+              "action" => "download",
+              "download" => $_GET[$env->param("download")]
+            )
+          );
+          if($res == 2) $url_back = $env->url
+          ( array
+            ( "e" => "set_artiste_downloads",
+              "artiste" => $_GET[$env->param("artiste")],
+            )
+          );
+          _redirect
+          ( $env,
+            $url_back,
+            "Le fichier a &eacute;t&eacute; supprim&eacute;"
+          );
+        }
+        else $env->erreur = "Une erreur s'est produite. Impossible de supprimer le fichier.";
+      }
+      else $env->erreur = "Vous n'avez pas les droits necessaires pour &eacute;diter ce morceau.";
+    }
+    else $env->erreur = "Impossible de lire les infos sur ce download.";
+  }
+
+  function a_del_download($env)
+  { if(($env->out["download"] = $env->data->artiste_download($_GET[$env->param("download")])) !== false)
+    { if($env->out["download"]["id_artiste"] == $env->out["artiste"]["id"])
+      { if(($env->data->del_download($_GET[$env->param("download")])) !== false)
+        { _redirect
+          ( $env,
+            $env->url(array("e" => "set_artiste_downloads", "artiste" => $_GET[$env->param("artiste")])),
+            "Le download a &eacute;t&eacute; supprim&eacute;"
+          );
+        }
+        else $env->erreur = "Une erreur s'est produite. Impossible de supprimer le download.";
+      }
+      else $env->erreur = "Vous n'avez pas les droits necessaires pour &eacute;diter ce morceau.";
+    }
+    else $env->erreur = "Impossible de lire les infos sur ce download.";
+  }
+
+?>
Index: /branches/rsr.v5.1.dev/web/app/mods/e_set_artiste_infos.php
===================================================================
--- /branches/rsr.v5.1.dev/web/app/mods/e_set_artiste_infos.php	(revision 1)
+++ /branches/rsr.v5.1.dev/web/app/mods/e_set_artiste_infos.php	(revision 1)
@@ -0,0 +1,117 @@
+<?php
+
+  function e_set_artiste_infos($env)
+  { $env->out["edit_ok"] = false;
+    if(($env->out["artiste"] = $env->data->artiste($_GET[$env->param("artiste")])) !== false)
+    { if
+      (    $env->pun_user["is_super_admin"]
+        || $env->pun_user["id"] === $env->out["artiste"]["pun_user"]
+        || $env->data->is_artiste_admin($_GET[$env->param("artiste")], $env->pun_user["id"])
+      )
+      { $env->out["edit_ok"] = true;
+        a_infos($env);
+      }
+      else $env->erreur = "Vous n'&ecirc;tes pas identifi&eacute; comme administrateur de cet artiste.";
+    }
+    else $env->erreur = "Impossible de lire les infos de l'artiste";
+  }
+
+  # ------------------------------------------------------------------------------
+  #                                                                        actions
+  #
+
+  function a_infos($env)
+  { if($_POST)
+    { $image = false;
+      if($_POST["del_image"] && $env->out["artiste"]["image"] && !is_dir($env->out["artiste"]["image"]))
+      { @unlink($env->out["artiste"]["image"]);
+        clearstatcache();
+        if(file_exists($env->out["artiste"]["image"])) $env->erreur = "Impossible d'effacer l'image";
+        else $image = null;
+      }
+      if(!$env->message && $_FILES["image"] && $_FILES["image"]["error"] != UPLOAD_ERR_NO_FILE)
+      { switch($_FILES["image"]["error"])
+        { case UPLOAD_ERR_OK : break;
+          default : $env->erreur = "Impossible d'uploader l'image.";
+        }
+        if(!$env->erreur)
+        { $v_name = explode(".", $_FILES["image"]["name"]);
+          $ext = $v_name[count($v_name) - 1];
+          if
+          ( strcasecmp($ext, "png") == 0 ||
+            strcasecmp($ext, "gif") == 0 ||
+            strcasecmp($ext, "jpg") == 0 ||
+            strcasecmp($ext, "jpeg") == 0
+          )
+          { $dest = $env->path("uploads")."artistes/".$env->out["artiste"]["id"];
+            if(file_exists($dest))
+            { if(!is_dir($dest)) $env->erreur = "le dossier d'upload est un fichier. Impossible d'y uploader l'image";
+            }
+            else
+            { @mkdir($dest);
+              clearstatcache();
+              if(!file_exists($dest) && !is_dir($dest)) $env->erreur = "Impossible de creer le dossier d'upload";
+            }
+            if(!$env->erreur)
+            { if($env->out["artiste"]["image"] && file_exists($env->out["artiste"]["image"]))
+              { @unlink($env->out["artiste"]["image"]);
+                clearstatcache();
+                if(file_exists($env->out["artiste"]["image"])) $env->erreur = "Impossible d'effacer l'ancienne image";
+              }
+              if(!$env->erreur)
+              { if
+                ( @move_uploaded_file
+                  ( $_FILES["image"]["tmp_name"],
+                    $dest."/".$_FILES["image"]["name"]
+                  ) !== false
+                ) $image = $dest."/".$_FILES["image"]["name"];
+                else $env->erreur = "Impossible de copier l'image uploadee";
+              }
+            }
+          }
+          else $env->message = "Le fichier image doit &ecirc;tre au format png, gif ou jpg";
+        }
+      }
+      if(!$env->message && !$env->erreur)
+      { if
+        ( $env->data->set_artiste
+          ( $env->out["artiste"]["id"],
+            $_POST["nom"],
+            $image !== false ? $image : $env->out["artiste"]["image"],
+            $_POST["style"],
+            $_POST["pays"],
+            $_POST["site"],
+            $_POST["email_contact"],
+            $_POST["hide_email"] ? 1 : 0,
+            $_POST["contact_form"] ? 1 : 0,
+            $_POST["identifiant_paypal"],
+            $_POST["lien_boutique"],
+            $_POST["lien_facebook"],
+            $_POST["lien_flickr"],
+            $_POST["lien_twitter"],
+            $_POST["lien_youtube"],
+            $env->out["artiste"]["dossier_personnel"]
+          )
+        )
+        { _redirect
+          ( $env,
+            $env->url(array("e" => "set_artiste_infos", "artiste" => $env->out["artiste"]["id"], "action" => "infos")),
+            "Vos informations ont &eacute;t&eacute; modifi&eacute;es"
+          );
+        }
+        else $env->erreur = "Une erreur est survenue. Impossible d'enregitrer les modifications.";
+      }
+      if(!$env->erreur && $env->message)
+      { $env->out["artiste"]["nom"] = $_POST["nom"];
+        $env->out["artiste"]["style"] = $_POST["style"];
+        $env->out["artiste"]["pays"] = $_POST["pays"];
+        $env->out["artiste"]["site"] = $_POST["site"];
+        $env->out["artiste"]["email_contact"] = $_POST["email_contact"];
+        $env->out["artiste"]["hide_email"] = $_POST["hide_email"] ? 1 : 0;
+        $env->out["artiste"]["contact_form"] = $_POST["contact_form"] ? 1 : 0;
+        $env->out["artiste"]["email_paypal"] = $_POST["email_paypal"];
+      }
+    }
+  }
+
+?>
Index: /branches/rsr.v5.1.dev/web/app/mods/e_set_artiste_news.php
===================================================================
--- /branches/rsr.v5.1.dev/web/app/mods/e_set_artiste_news.php	(revision 1)
+++ /branches/rsr.v5.1.dev/web/app/mods/e_set_artiste_news.php	(revision 1)
@@ -0,0 +1,113 @@
+<?php
+
+  function e_set_artiste_news($env)
+  { $env->out["edit_ok"] = false;
+    if(($env->out["artiste"] = $env->data->artiste($_GET[$env->param("artiste")])) !== false)
+    { if
+      (    $env->pun_user["is_super_admin"]
+        || $env->pun_user["id"] === $env->out["artiste"]["pun_user"]
+        || $env->data->is_artiste_admin($_GET[$env->param("artiste")], $env->pun_user["id"])
+      )
+      { $env->out["edit_ok"] = true;
+        $env->a = $_GET[$env->param("action")] ? $_GET[$env->param("action")] : "artiste_news";
+        $function = "a_".$env->a;
+        if(function_exists($function)) $function($env);
+      }
+      else $env->erreur = "Vous n'&ecirc;tes pas identifi&eacute; comme administrateur de cet artiste.";
+    }
+    else $env->erreur = "Impossible de lire les infos de l'artiste";
+  }
+
+  # ------------------------------------------------------------------------------
+  #                                                                        actions
+  #
+
+  function a_artiste_news($env)
+  { if(($env->out["news"] = $env->data->artiste_news($_GET[$env->param("artiste")], $env->start)) !== false)
+    {
+    }
+    else $env->erreur = "Impossible de lire les news";
+  }
+
+  function a_add_artiste_news($env)
+  { if($_POST)
+    { if($_POST["preview"])
+      { $env->out["preview"] = array
+        ( "titre" => $_POST["titre"],
+          "auteur" => $env->pun_user["username"],
+          "date_publication" => $_POST["date_publication"],
+          "contenu" => $_POST["news"],
+          "public" => $_POST["public"] ? 1 : 0
+        );
+      }
+      else
+      { if
+        ( $env->data->add_artiste_news
+          ( $_GET[$env->param("artiste")],
+            $env->pun_user["id"],
+            $_POST["titre"],
+            $_POST["news"],
+            $_POST["date_publication"],
+            $_POST["public"] ? 1 : 0
+          )
+        )
+        { _redirect
+          ( $env,
+            $env->url(array("e" => "set_artiste_news", "artiste" => $_GET[$env->param("artiste")])),
+            "La news a &eacute;t&eacute; ajout&eacute;e"
+          );
+        }
+        else $env->erreur = "Impossible d'ajouter la news.";
+      }
+    }
+  }
+
+  function a_set_one_artiste_news($env)
+  { if(($env->out["news"] = $env->data->contenu($_GET[$env->param("news")])) !== false)
+    { if($_POST)
+      { if($_POST["preview"])
+        { $env->out["preview"] = array
+          ( "titre" => $_POST["titre"],
+            "auteur" => $env->out["news"]["auteur"],
+            "date_publication" => $_POST["date_publication"],
+            "contenu" => $_POST["news"],
+            "public" => $_POST["public"] ? 1 : 0
+          );
+        }
+        else
+        { if
+          ( $env->data->set_artiste_news
+            ( $_GET[$env->param("artiste")],
+              $env->pun_user["id"],
+              $_GET[$env->param("news")],
+              $_POST["titre"],
+              $_POST["news"],
+              $_POST["date_publication"],
+              $_POST["public"] ? 1 : 0
+            )
+          )
+          { _redirect
+            ( $env,
+              $env->url(array("e" => "set_artiste_news", "artiste" => $_GET[$env->param("artiste")])),
+              "La news a &eacute;t&eacute; modifi&eacute;e"
+            );
+          }
+          else $env->erreur = "Impossible de modifier la news.";
+        }
+      }
+    }
+    else $env->erreur = "Impossible de lire la news.";
+  }
+
+  function a_del_artiste_news($env)
+  { if($env->data->del_artiste_news($_GET[$env->param("news")]) !== false)
+    { _redirect
+      ( $env,
+        $env->url(array("e" => "set_artiste_news", "artiste" => $_GET[$env->param("artiste")])),
+        "La news a &eacute;t&eacute; supprim&eacute;e"
+      );
+    }
+    else $env->erreur = "Impossible de supprimer la news.";
+  }
+
+?>
Index: /branches/rsr.v5.1.dev/web/app/mods/e_set_artiste_presentation.php
===================================================================
--- /branches/rsr.v5.1.dev/web/app/mods/e_set_artiste_presentation.php	(revision 1)
+++ /branches/rsr.v5.1.dev/web/app/mods/e_set_artiste_presentation.php	(revision 1)
@@ -0,0 +1,35 @@
+<?php
+
+  function e_set_artiste_presentation($env)
+  { $env->out["edit_ok"] = false;
+    if(($env->out["artiste"] = $env->data->artiste($_GET[$env->param("artiste")])) !== false)
+    { if
+      (    $env->pun_user["is_super_admin"]
+        || $env->pun_user["id"] === $env->out["artiste"]["pun_user"]
+        || $env->data->is_artiste_admin($_GET[$env->param("artiste")], $env->pun_user["id"])
+      )
+      { $env->out["edit_ok"] = true;
+        a_set_artiste_presentation($env);
+      }
+      else $env->erreur = "Vous n'&ecirc;tes pas identifi&eacute; comme administrateur de cet artiste.";
+    }
+    else $env->erreur = "Impossible de lire les infos de l'artiste";
+  }
+
+  function a_set_artiste_presentation($env)
+  { if($_POST)
+    { if($env->data->set_artiste_presentation($_GET[$env->param("artiste")], $_POST["presentation"]) !== false)
+      { _redirect
+        ( $env,
+          $env->url(array("e" => "admin_artiste", "artiste" => $_GET[$env->param("artiste")])),
+          "La presentation a &eacute;t&eacute; modifi&eacute;e"
+        );
+      }
+      else $env->erreur = "Impossible de modifier la presetation";
+    }
+    elseif(($env->out["presentation"] = $env->data->artiste_presentation($_GET[$env->param("artiste")])) === false)
+    { $env->erreur = "Impossible de lire la presentation";
+    }
+  }
+
+?>
Index: /branches/rsr.v5.1.dev/web/app/mods/e_set_artistes.php
===================================================================
--- /branches/rsr.v5.1.dev/web/app/mods/e_set_artistes.php	(revision 1)
+++ /branches/rsr.v5.1.dev/web/app/mods/e_set_artistes.php	(revision 1)
@@ -0,0 +1,124 @@
+<?php
+
+  function e_set_artistes($env)
+  { if($env->data->is_admin($env->pun_user["id"]))
+    { $env->a = $_GET[$env->param("action")] ? $_GET[$env->param("action")] : "users";
+      $function = "a_".$env->a;
+      if(function_exists($function)) $function($env);
+    }
+    else $env->erreur = "Vous devez &ecirc;tre administrateur pour acc&eacute;der &agrave; cette page.";
+  }
+
+  # ------------------------------------------------------------------------------
+  #                                                                        actions
+  #
+
+  function a_users($env)
+  { if
+    ( ( $env->out["users"] = $env->data->users
+        ( $env->start,
+          isset($_GET[$env->param("is_artiste")]) ? ($_GET[$env->param("is_artiste")] ? true : false) : null,
+          isset($_GET[$env->param("alpha")]) ? $_GET[$env->param("alpha")] : null
+        )
+      ) !== false
+    )
+    {
+    }
+    else $env->erreur = "Impossible de lire la liste des utilisateurs";
+  }
+
+  function a_user_artistes($env)
+  { if(($env->out["user"] = $env->data->user($_GET[$env->param("user")])) !== false)
+    { if(($env->out["artistes"] = $env->data->artistes($_GET[$env->param("user")])) !== false)
+      {
+      }
+      else $env->erreur = "Impossible de lire les informations de cet utilisateur";
+    }
+    else $env->erreur = "Impossible de lire la liste des artistes pour cet utilisateur";
+  }
+
+  function a_add_user_artiste($env)
+  { if(($env->out["user"] = $env->data->user($_GET[$env->param("user")])) !== false)
+    { if(($env->out["forums"] = $env->data->forums()) !== false)
+      { if($_POST)
+        { if
+          ( $env->data->add_artiste
+            ( $_GET[$env->param("user")],
+              $_POST["nom"],
+              $_POST["forum"] ? $_POST["forum"] : null,
+              $_POST["dossier_personnel"] ? $_POST["dossier_personnel"] : null
+            ) !== false
+          )
+          { _redirect
+            ( $env,
+              $env->url(array("e" => "set_artistes", "action" => "user_artistes", "user" => $_GET[$env->param("user")])),
+              "Le compte artiste a &eacute;t&eacute; cr&eacute;&eacute;"
+            );
+          }
+          else $env->erreur = "Impossible d'ajouter le compte artiste";
+        }
+      }
+      else $env->erreur = "Impossible de lire la liste des forums";
+    }
+    else $env->erreur = "Impossible de lire les informations de cet utilisateur";
+  }
+
+  function a_set_user_artiste($env)
+  { if(($env->out["artiste"] = $env->data->artiste($_GET[$env->param("artiste")])) !== false)
+    { if(($env->out["user"] = $env->data->user($_GET[$env->param("user")])) !== false)
+      { if(($env->out["forums"] = $env->data->forums()) !== false)
+        { if($_POST)
+          { if
+            ( $env->data->admin_set_artiste
+              ( $_GET[$env->param("artiste")],
+                $_POST["nom"],
+                $_POST["forum"] ? $_POST["forum"] : null,
+                $_POST["dossier_personnel"] ? $_POST["dossier_personnel"] : null
+              ) !== false
+            )
+            { _redirect
+              ( $env,
+                $env->url(array("e" => "set_artistes", "action" => "user_artistes", "user" => $_GET[$env->param("user")])),
+                "Le compte artiste a &eacute;t&eacute; modifi&eacute;"
+              );
+            }
+            else $env->erreur = "Impossible de modifier le compte artiste";
+          }
+        }
+        else $env->erreur = "Impossible de lire la liste des forums";
+      }
+      else $env->erreur = "Impossible de lire les informations de cet utilisateur";
+    }
+    else $env->erreur = "Impossible de lire les informations de l'artiste";
+  }
+
+  function a_del_user_artiste($env)
+  { if($env->data->del_artiste($_GET[$env->param("artiste")]) !== false)
+    { $upload_dir = $env->path("uploads")."artistes/".$_GET[$env->param("artiste")]."/";
+      if(is_dir($upload_dir) && is_writable($upload_dir))
+      { if($dh = opendir($upload_dir))
+        { while(($file = readdir($dh)) !== false)
+          { if(substr($file, 0, 1) !== ".")
+            { @unlink($upload_dir.$file);
+            }
+          }
+          closedir($dh);
+          @rmdir($upload_dir);
+        }
+      }
+      _redirect
+      ( $env,
+        $env->url
+        ( array
+          ( "e" => "set_artistes",
+            "action" => "user_artistes",
+            "user" => $_GET[$env->param("user")]
+          )
+        ),
+        "Le compte artiste a &eacute;t&eacute; supprim&eacute;"
+      );
+    }
+    else $env->erreur = "Impossible de supprimer l'artiste";
+  }
+
+?>
Index: /branches/rsr.v5.1.dev/web/app/mods/e_set_boxes.php
===================================================================
--- /branches/rsr.v5.1.dev/web/app/mods/e_set_boxes.php	(revision 1)
+++ /branches/rsr.v5.1.dev/web/app/mods/e_set_boxes.php	(revision 1)
@@ -0,0 +1,120 @@
+<?php
+
+  function e_set_boxes($env)
+  { if($env->data->is_admin($env->pun_user["id"]))
+    { $env->a = $_GET[$env->param("action")] ? $_GET[$env->param("action")] : "boxes";
+      $function = "a_".$env->a;
+      if(function_exists($function)) $function($env);
+    }
+    else $env->erreur = "Vous devez &ecirc;tre administrateur pour acc&eacute;der &agrave; cette page.";
+  }
+
+  # ------------------------------------------------------------------------------
+  #                                                                        actions
+  #
+
+  function a_boxes($env)
+  { if
+    ( ( $env->out["boxes"] = $env->data->boxes
+        ( $env->start,
+          isset($_GET[$env->param("categorie")]) ? (strlen($_GET[$env->param("categorie")]) > 0 ? $_GET[$env->param("categorie")] : "") : null
+        )
+      ) !== false
+    )
+    { if($_POST)
+      { foreach($_POST as $key => $value)
+        { if(substr($key, 0, 5) == "ordre")
+          { if(!$env->data->set_box_ordre(substr($key, 5), $value))
+            { $env->erreur = "Impossible d'enregistrer l'ordre";
+              break;
+            }
+          }
+        }
+        if(!$env->erreur)
+        { $redirect = array("e" => "set_boxes");
+          if(isset($_GET[$env->param("categorie")])) $redirect["categorie"] = $_GET[$env->param("categorie")];
+          _redirect
+          ( $env,
+            $env->url($redirect),
+            "L'ordre des blocs a &eacute;t&eacute; enregistr&eacute;"
+          );
+        }
+      }
+    }
+    else $env->erreur = "Impossible de lire les blocs";
+  }
+
+  function a_add_box($env)
+  { if($_POST)
+    { if
+      ( $env->data->add_box
+        ( $_POST["titre"],
+          $_POST["public"] ? 1 : 0,
+          $_POST["nom"],
+          $_POST["emplacement"] ? $_POST["emplacement"] : null,
+          $_POST["fichier"],
+          $_POST["contenu"],
+          $env->pun_user["id"]
+        )
+      )
+      { _redirect
+        ( $env,
+          $env->url(array("e" => "set_boxes")),
+          "Le bloc a &eacute;t&eacute; ajout&eacute;"
+        );
+      }
+      else $env->erreur = "Impossible d'ajouter le bloc.";
+    }
+    else
+    { if(($env->out["box_files"] = $env->data->box_files()) !== false)
+      {
+      }
+      else $env->erreur = "Impossible de lire la liste des fichiers de bloc.";
+    }
+  }
+
+  function a_set_box($env)
+  { if(($env->out["box"] = $env->data->box($_GET[$env->param("id")])) !== false)
+    { if($_POST)
+      { if
+        ( $env->data->set_box
+          ( $_GET[$env->param("id")],
+            $_POST["titre"],
+            $_POST["public"] ? 1 : 0,
+            $_POST["nom"],
+            $_POST["emplacement"] ? $_POST["emplacement"] : null,
+            $_POST["fichier"],
+            $_POST["contenu"],
+            $env->pun_user["id"]
+          )
+        )
+        { _redirect
+          ( $env,
+            $env->url(array("e" => "set_boxes")),
+            "Le bloc a &eacute;t&eacute; modifi&eacute;"
+          );
+        }
+        else $env->erreur = "Impossible de modifier le bloc.";
+      }
+      else
+      { if(($env->out["box_files"] = $env->data->box_files()) !== false)
+        {
+        }
+        else $env->erreur = "Impossible de lire la liste des fichiers de bloc.";
+      }
+    }
+    else $env->erreur = "Impossible de lire le bloc.";
+  }
+
+  function a_del_box($env)
+  { if($env->data->del_box($_GET[$env->param("id")]) !== false)
+    { _redirect
+      ( $env,
+        $env->url(array("e" => "set_boxes")),
+        "Le bloc a &eacute;t&eacute; supprim&eacute;"
+      );
+    }
+    else $env->erreur = "Impossible de supprimer le bloc.";
+  }
+
+?>
Index: /branches/rsr.v5.1.dev/web/app/mods/e_set_config.php
===================================================================
--- /branches/rsr.v5.1.dev/web/app/mods/e_set_config.php	(revision 1)
+++ /branches/rsr.v5.1.dev/web/app/mods/e_set_config.php	(revision 1)
@@ -0,0 +1,28 @@
+<?php
+
+  function e_set_config($env)
+  { if($env->data->is_admin($env->pun_user["id"]))
+    { if(($env->out["config"] = $env->CONFIG) !== false)
+      { if($_POST)
+        { $OK = true;
+          foreach($_POST as $key => $value)
+          { if($OK)
+            { $OK = $env->data->set_config($key, $value);
+            }
+          }
+          if($OK)
+          { _redirect
+            ( $env,
+              $env->url(array("e" => "set_config")),
+              "La configuration &agrave; &eacute;t&eacute; mise &agrave; jour"
+            );
+          }
+          else $env->erreur = "Erreur lors de la mise &agrave; jour de la configuration en base";
+        }
+      }
+      else $env->erreur = "Impossible de lire la configuration en base";
+    }
+    else $env->erreur = "Vous devez &ecirc;tre administrateur pour acc&eacute;der &agrave; cette page.";
+  }
+
+?>
